<div class="formulaire_spip formulaire_configurer formulaire_#FORM  [form--(#ENV{lib})]">
[<p class="reponse_formulaire reponse_formulaire_ok">(#ENV*{message_ok})</p>]
[<p class="reponse_formulaire reponse_formulaire_erreur">(#ENV*{message_erreur})</p>]

<form method="post" action="#ENV{action}">

	#ACTION_FORMULAIRE{#ENV{action}}

	<div class="editer editer_active[ (#ENV**{erreurs/active}|oui)erreur]">
		<div class="choix">
			<input type="checkbox" name="active" class="checkbox" id="active_on" value="oui" [(#ENV{active,oui}|=={oui}|oui) checked="checked"]/>
			<label for='active_on'><strong><:mediabox:label_active:></strong></label>
		</div>
	</div>
	<div class="si_active"[ (#ENV{active,oui}|!={oui}|oui)style="display:none"]>

		<div class="fieldset"><fieldset><legend><:mediabox:label_apparence:></legend>
				<div class="editer-groupe">

					<input type="hidden" name="lib" class="hidden" id="lib" value="#ENV{lib}" />

					<input type="hidden" name="namespace" class="hidden" id="namespace"  value="#ENV{namespace}" />

					<!--skins-->
					[<div class="editer editer_skin[ (#ENV**{erreurs/skin}|oui)erreur]">
						<label><:mediabox:label_skin:></label>
						(#ENV{_skins}|box_choisir_skin{#ENV{skin}}|image_reduire{150})
					</div>]
				</div>
				<div class="editer-groupe">

					<div class="editer editer_minWidth[ (#ENV**{erreurs/minWidth}|oui)erreur]">
						<label for='minWidth'><:mediabox:label_minwidth:></label>
						<input type="text" name="minWidth" class="text" id="minWidth" size="10" value="#ENV*{minWidth}" />
					</div>

					<div class="editer editer_maxWidth[ (#ENV**{erreurs/maxWidth}|oui)erreur]">
						<label for='maxWidth'><:mediabox:label_maxwidth:></label>
						<input type="text" name="maxWidth" class="text" id="maxWidth" size="10" value="#ENV*{maxWidth}" />
					</div>
					
				<!--apparence-->
				<!--extra-apparence-->
				</div>
		</fieldset></div>

		<div class="fieldset"><fieldset><legend><:mediabox:label_selecteurs:></legend>
			<div class="editer-groupe">
				<!--selecteurs-->
				<div class="editer editer_selecteur_commun[ (#ENV**{erreurs/selecteur_commun}|oui)erreur]">
					<label for="selecteur_commun"><:mediabox:label_selecteur_commun:></label>
					[<span class='erreur'>(#ENV**{erreurs/selecteur_commun})</span>]
					<p class="explication"><:mediabox:explication_selecteur:></p>
					<input type="text" name="selecteur_commun" class="text" id="selecteur_commun" size="60" value="#ENV*{selecteur_commun}" />
				</div>

				<div class="editer editer_selecteur_galerie[ (#ENV**{erreurs/selecteur_galerie}|oui)erreur]">
					<label for="selecteur_galerie"><:mediabox:label_selecteur_galerie:></label>
					[<span class='erreur'>(#ENV**{erreurs/selecteur_galerie})</span>]
					<p class="explication"><:mediabox:explication_selecteur_galerie:></p>
					<input type="text" name="selecteur_galerie" class="text" id="selecteur_galerie" size="60" value="#ENV*{selecteur_galerie}" />
				</div>

				<div class="editer editer_traiter_toutes_images[ (#ENV**{erreurs/traiter_toutes_images}|oui)erreur]">

					<label><:mediabox:label_traiter_toutes_images:></label>
					<p class="explication"><:mediabox:explication_traiter_toutes_images:></p>

					<div class="choix">
						<input type="radio" name="traiter_toutes_images" class="radio" id="traiter_images_on" value="oui" [(#ENV{traiter_toutes_images,oui}|=={oui}|oui) checked="checked"] />
						<label for='traiter_images_on'><:item_oui:></label>
					</div>

					<div class="choix">
						<input type="radio" name="traiter_toutes_images" class="radio" id="traiter_images_off" value="non" [(#ENV{traiter_toutes_images,oui}|=={non}|oui) checked="checked"] />
						<label for='traiter_images_off'><:item_non:></label>
					</div>

				</div>
			
				<!--extra-selecteurs-->
			</div>
		</fieldset></div>

		<div class="fieldset"><fieldset><legend><:mediabox:label_splash:></legend>
			<div class="editer-groupe">
				<!--splash-->
				<div class="editer editer_splash_url[ (#ENV**{erreurs/splash_url}|oui)erreur]">
					<label for="splash_url"><:mediabox:label_splash_url:></label>
					[<span class='erreur'>(#ENV**{erreurs/splash_url})</span>]
					<p class="explication"><:mediabox:explication_splash_url:></p>
					<input type="text" name="splash_url" class="text" id="splash_url" size="60" value="#ENV*{splash_url}" />
				</div>
				<div class="editer splash_width[ (#ENV**{erreurs/splash_width}|oui)erreur]">
					<label for='splash_width'><:mediabox:label_splash_width:></label>
					<input type="text" name="splash_width" class="text" id="splash_width" size="10" value="#ENV*{splash_width}" />
				</div>
				<div class="editer splash_height[ (#ENV**{erreurs/splash_height}|oui)erreur]">
					<label for='splash_height'><:mediabox:label_splash_height:></label>
					<input type="text" name="splash_height" class="text" id="splash_height" size="10" value="#ENV*{splash_height}" />
				</div>
				<!--extra-splash-->
			</div>
		</fieldset></div>

	</div>
	<!--extra-->
	<p class="boutons">
		<input style="display: none" type="submit" name="recharger" class="submit" value="<:mediabox:bouton_recharger:>" />
		<input type="submit" name="reinit" class="submit" value="<:mediabox:bouton_reinitialiser:>" />
		<input type="submit" name="enregistrer" class="submit" value="<:bouton_valider:>" />
	</p>
</form>
</div>

<script type="text/javascript">/*<!#EVAL{chr(91)}CDATA#EVAL{chr(91)}*/
	(function ($) {

		var $f = $('.formulaire_configurer_mediabox');
		var $active = $('#active_on');
		var $si_a = $('.si_active');
		var $resp_ok = $f.find('.reponse_formulaire_ok')

		$active.on('change',function(e){
			if ($active.prop('checked')) {
				$si_a.slideDown();
			}
			else {
				$si_a.slideUp();
			}
		});

		// faire suivre le couple skin <> lib + reload à la sélection de skin
		$f.find('.editer_skin input').on('change', function(e) {
			var lib = $f.find('.editer_skin input:checked').attr('data-lib');
			$f.find('#lib').val(lib);
			$f.find('.submit[name=\'recharger\']').trigger('click');    
		});

	})(jQuery);
	
/*#EVAL{chr(93)}[(#EVAL{chr(93)})]>*/</script>
